> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app on-chain KMS info

> Returns on-chain KMS metadata for an app: chain, KMS contract, app contract, deployer address, and deployer type detection (EOA, Safe multisig, legacy multisig, ERC-4337, or generic contract).



## OpenAPI

````yaml /openapi.json get /api/v1/apps/{app_id}/kms-info
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/apps/{app_id}/kms-info:
    get:
      tags:
        - Apps
        - apps-kms-info
      summary: Get app on-chain KMS info
      description: >-
        Returns on-chain KMS metadata for an app: chain, KMS contract, app
        contract, deployer address, and deployer type detection (EOA, Safe
        multisig, legacy multisig, ERC-4337, or generic contract).
      operationId: get_app_kms_info_api_v1_apps__app_id__kms_info_get
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            title: App Id
            description: Hex app identifier
          description: Hex app identifier
      responses:
        '200':
          description: KMS info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppKmsInfoResponse'
        '401':
          description: Not authenticated
        '404':
          description: App not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AppKmsInfoResponse:
      properties:
        is_onchain_kms:
          type: boolean
          title: Is Onchain Kms
          default: false
        chain_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chain Id
        kms_contract_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Kms Contract Address
        app_contract_address:
          anyOf:
            - type: string
            - type: 'null'
          title: App Contract Address
        deployer_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployer Address
        deployer_type:
          anyOf:
            - type: string
              enum:
                - eoa
                - safe
                - legacy_multisig
                - erc4337
                - contract
            - type: 'null'
          title: Deployer Type
        is_contract:
          type: boolean
          title: Is Contract
          default: false
        safe_app_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Safe App Url
      type: object
      title: AppKmsInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````